### Constructor

# Gtk LinkButtonnew

#### Declaration [src]

    GtkWidget*
    gtk_link_button_new (
      const char* uri
    )

#### Description [src]

Creates a new `GtkLinkButton` with the URI as its text.

#### Parameters

`uri`

  Type: `const char*`

  A valid URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new link button widget.

The data is owned by the called function.